Debian Bug report logs - #404270
gnuplot: license violation

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Carles Pina i Estany <carles@pina.cat>

Date: Sat, 23 Dec 2006 01:03:01 UTC

Severity: normal

Found in version gnuplot/4.0.0-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#404270; Package gnuplot. Full text and rfc822 format available.

Acknowledgement sent to Carles Pina i Estany <carles@pina.cat>:
New Bug report received and forwarded. Copy sent to Cyril Bouthors <cyril@bouthors.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carles Pina i Estany <carles@pina.cat>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnuplot: license violation
Date: Sat, 23 Dec 2006 03:00:09 +0200
Package: gnuplot
Version: 4.0.0-5
Severity: normal

Hello,

I read the gnuplot license:
http://packages.debian.org/changelogs/pool/main/g/gnuplot/gnuplot_4.0.0-5/gnuplot.copyright

It is a non-common license. I noticied a conflictive clausule:
------
 *   3. provide your name and address as the primary contact for the
 *    support of your modified version, and
------
(other clausules should fit in DFSG)

I commented the license in this thread:
http://lists.debian.org/debian-legal/2006/12/msg00205.html

and specially, we talked about point 3:
http://lists.debian.org/debian-legal/2006/12/msg00209.html

Executing gnuplot, the primary contact is not the Debian maintainer mail
and so on, is gnuplot upstream. Should be the debian maintainer (but
remember to keep the original upstream as secondary contract, point 4 of
gnuplot license).

As I am not used to read licenses, maybe I missunderstood something,
feel free to correct me :-)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18.1
Locale: LANG=ca_ES@euro, LC_CTYPE=ca_ES@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to ca_ES@euro)

Versions of packages gnuplot depends on:
ii  gnuplot-nox                   4.0.0-5    A command-line driven interactive 
ii  gnuplot-x11                   4.0.0-5    X11-terminal driver for gnuplot

gnuplot recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#404270; Package gnuplot. Full text and rfc822 format available.

Acknowledgement sent to Karl Schmidt <karl@xtronics.com>:
Extra info received and forwarded to list. Copy sent to Cyril Bouthors <cyril@bouthors.org>. Full text and rfc822 format available.

Message #10 received at 404270@bugs.debian.org (full text, mbox):

From: Karl Schmidt <karl@xtronics.com>
To: 404270@bugs.debian.org
Subject: license violation - should clearly state this is not GPL
Date: Thu, 10 Jan 2008 17:43:19 -0600
I don't think the gnuplot license even qualifies it to be in Debian free:

From the license -
> Permission to modify the software is granted, but not the right to
>  distribute the complete modified source code.




The Debian Free Software Guidelines (DFSG)

   1. Free Redistribution

      The license of a Debian component may not restrict any party from selling or giving 
away the software as a component of an aggregate software distribution containing programs 
from several different sources. The license may not require a royalty or other fee for such 
sale.


3. Derived Works

The license must allow modifications and derived works, and must allow them to be 
distributed under the same terms as the license of the original software.


Further - it explains the slow progress this package is making.


----------------------------------------------------------------
Karl Schmidt                         EMail Karl@xtronics.com
Transtronics, Inc.                     WEB http://xtronics.com
3209 West 9th Street                    Ph (785) 841-3089
Lawrence, KS 66049                     FAX (785) 841-0434

If you are not part of the solution, you are part of the precipitate.

----------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#404270; Package gnuplot. Full text and rfc822 format available.

Acknowledgement sent to Andrzej Novak <novakyu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Bouthors <cyril@bouthors.org>. Full text and rfc822 format available.

Message #15 received at 404270@bugs.debian.org (full text, mbox):

From: Andrzej Novak <novakyu@gmail.com>
To: Karl Schmidt <karl@xtronics.com>
Cc: 404270@bugs.debian.org
Subject: Re: license violation - should clearly state this is not GPL
Date: Mon, 21 Jul 2008 14:21:17 -0700
On Thu, Jan 10, 2008 at 05:43:19PM -0600, Karl Schmidt wrote:
> I don't think the gnuplot license even qualifies it to be in Debian free:
> 
> From the license -
> >Permission to modify the software is granted, but not the right to
> > distribute the complete modified source code.

I'm not terribly familiar with debian-legal (so I don't know if this had been discussed before or not), but gnuplot is still DFSG-free, per #4:

> 4. Integrity of The Author's Source Code
>
> The license may restrict source-code from being distributed in
> modified form _only_ if the license allows the distribution of "patch
> files" with the source code for the purpose of modifying the program at
> build time. The license must explicitly permit distribution of software
> built from modified source code. The license may require derived works
> to carry a different name or version number from the original
> software. (This is a compromise. The Debian group encourages all authors
> not to restrict any files, source or binary, from being modified.)

And the copyright license for gnuplot does allow you to distribute the
modified version provided that you:

> 1. distribute the corresponding source modifications from the
>    released version in the form of a patch file along with the binaries,
 
So it does qualify to be in Debian free, even though it IS
GPL-incompatible (e.g. it may not be distributed in binary form with the
GNU readline library linked to it), because of that additional restriction.

Regards,

Andrzej




Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 19:36:03 GMT) Full text and rfc822 format available.

Notification sent to Carles Pina i Estany <carles@pina.cat>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 19:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 404270-done@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 404270-done@bugs.debian.org
Subject: Re: Bug#404270: license violation - should clearly state this is not GPL
Date: Tue, 23 Sep 2008 21:33:15 +0200
[Message part 1 (text/plain, inline)]
Re: Andrzej Novak 2008-07-21 <20080721212117.GA22069@novakyu.net>
> I'm not terribly familiar with debian-legal (so I don't know if this had been discussed before or not), but gnuplot is still DFSG-free, per #4:
> 
> > 4. Integrity of The Author's Source Code
> >
> > The license may restrict source-code from being distributed in
> > modified form _only_ if the license allows the distribution of "patch
> > files" with the source code for the purpose of modifying the program at
> > build time. The license must explicitly permit distribution of software
> > built from modified source code. The license may require derived works
> > to carry a different name or version number from the original
> > software. (This is a compromise. The Debian group encourages all authors
> > not to restrict any files, source or binary, from being modified.)
> 
> And the copyright license for gnuplot does allow you to distribute the
> modified version provided that you:
> 
> > 1. distribute the corresponding source modifications from the
> >    released version in the form of a patch file along with the binaries,
>  
> So it does qualify to be in Debian free, even though it IS
> GPL-incompatible (e.g. it may not be distributed in binary form with the
> GNU readline library linked to it), because of that additional restriction.

Agreed. I'll close this bug as there is no problem.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Oct 2008 07:29:42 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from deb1.6.iridos@spamgourmet.com to control@bugs.debian.org. (Wed, 22 Jun 2011 14:48:03 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Jun 2011 14:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#404270; Package gnuplot. (Wed, 22 Jun 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to deb1.6.iridos@spamgourmet.com:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Wed, 22 Jun 2011 14:57:04 GMT) Full text and rfc822 format available.

Message #31 received at 404270@bugs.debian.org (full text, mbox):

From: deb1.6.iridos@spamgourmet.com
To: 404270@bugs.debian.org
Subject: gnuplot: license violation
Date: Wed, 22 Jun 2011 16:55:36 +0200
I just came about this bug and I don't see that/how the problem from
the original bug report was rectified.

While gnuplots license qualifies it as free software, that was not the
concern of the original bug report.
Gnuplots license demands:
------
*   3. provide your name and address as the primary contact for the
*    support of your modified version, and
*   4. retain our contact information in regard to use of the base
*    software.
------

If you call gnuplot, you only get:

       gnuplot home:     http://www.gnuplot.info
       faq, bugs, etc:   type "help seeking-assistance"
the gnu manpage tells you to run "help bugs" from within gnuplot.

Running "help seeking-assistance" or "help bugs"
only lists  gnuplot resources, not the debian bug tracking system or
the debian maintainer.

One could argue, that the "primary contact" has already been given in
the package description and the information when running gnuplot is
only to "retain the original contact information".
Was this your idea when closing the bug?

I think it would be a simple change to have gnuplot print something like
"Please report bugs as described in
http://www.debian.org/Bugs/Reporting, for bugs also found in the
original version of gnuplot type 'help bugs'"


There is another clause I don't see fulfilled, which is about the patches.


Permission to
* distribute binaries produced by compiling modified sources is granted,
* provided you
[...]
*   2. add special version identification to distinguish your version
*    in addition to the base release version number,

Calling gnuplot on squeeze just prints:

       G N U P L O T
       Version 4.4 patchlevel 0

according to the license I would expect it to read something like

Version 4.4 patchlevel 0 with Debian patches, Debian patchlevel 1

or somesuch.

Generally there seemed to be agreement  (or at least no disagreement)
that these changes were necessary, when this was discussed along with
the original bugreport on debian-legal:
http://lists.debian.org/debian-legal/2006/12/msg00220.html
Description of lack-of-patch note from poster of original bugreport:
http://lists.debian.org/debian-legal/2006/12/msg00207.html

So maybe there was just some miscommunication in regard of this point?

It's a shame we have to discuss this for so long, as the total amount
of patches is so negligibly small... adding a patch to change the
message will surely double the amount of changed lines :-/
(But I guess for the license it does not matter that there are only
few and very small patches, anyway, that might change)

Since this is from 2006 and I'm not totally sure that I did not overlook
something, I will leave it to you to decide if you want to elevate the
bug to "serious"//add patches for in-program text that clarifies about
the "primary contact" and added patches or just comment on why you see
it as "fixed"

Cheers and sorry for any inconvenience if the misunderstanding was from my part,
Iridos





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:49:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.